#ifndef _LIVEPATCH_BSC1196959_H
#define _LIVEPATCH_BSC1196959_H

int livepatch_bsc1196959_init(void);
static inline void livepatch_bsc1196959_cleanup(void) {}


struct work_struct;
struct kiocb;
struct wait_queue_entry;
struct io_kiocb;
struct sighand_struct;

void klpp_aio_poll_complete_work(struct work_struct *work);
int klpp_aio_poll_cancel(struct kiocb *iocb);
int klpp_aio_poll_wake(struct wait_queue_entry *wait, unsigned mode, int sync,
		void *key);

void klpp_io_poll_remove_one(struct io_kiocb *req);
void klpp_io_poll_complete_work(struct work_struct *work);
int klpp_io_poll_wake(struct wait_queue_entry *wait, unsigned mode, int sync,
			void *key);

void klpp_signalfd_cleanup(struct sighand_struct *sighand);

#endif /* _LIVEPATCH_BSC1196959_H */
